<div>
    <button [disabled]="!fileUrl" mat-raised-button color="primary" (click)="downloadFile()">Download file</button>
    <mat-progress-bar mode="determinate" [value]="downloadProgress" class="mt-1"></mat-progress-bar>
</div>